package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileSubnetModel;

import java.util.List;

public interface SubnetProvider extends SuperProvider {
    public BocloudResult<List<AgileSubnetModel>> list();

    public BocloudResult<AgileSubnetModel> create(AgileSubnetModel subnet);

    public BocloudResult<AgileSubnetModel> modify(AgileSubnetModel subnet);

    public BocloudResult<?> remove(String subnetId);

    public BocloudResult<AgileSubnetModel> detail(String subnetId);

    public BocloudResult<?> remove(AgileSubnetModel subnet);

    public BocloudResult<?> bindDhcpGroup(String subnetUuid, String dhcpGroupUuid);

    public BocloudResult<?> unbindDhcpGroup(String subnetUuid);
}
